<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Product</strong>
        <ng-template #newTitle>
          <strong>New Product</strong>
        </ng-template>
      </div>
      <form [formGroup]="product" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <div class="form-group">
            <label class="form-col-form-label" for="name">Name</label>
            <input type="text" class="form-control" id="name" formControlName="name">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="description">Description</label>
            <textarea id="description" name="description" rows="6" class="form-control" formControlName="description"></textarea>
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="price">Price</label>
            <input class="form-control" id="price" formControlName="price" currencyMask [options]="{ prefix: 'R$ ', thousands: '.', decimal: ',', align: 'left', allowNegative: false }"/>
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="imgUrl">Image URL</label>
            <input type="text" class="form-control" id="imgUrl" formControlName="imgUrl">
            <!-- <input type="text" class="form-control is-invalid" id="inputError1"> -->
            <!-- <div class="invalid-feedback">
              Please provide a valid information.
            </div> -->
          </div>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="product.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="reset" class="btn btn-sm btn-danger" (onClick)="onReset()"><i class="fa fa-ban"></i> Reset</button>
        </div>
      </form>
    </div>
  </div>
</div>
